Windows10でLIS

2017/12/18

思い出しながらのメモ

Python2.7 をインストール

CUDA と library tools を入れた気がする

Unity インストール

起動には、ユーザー登録が必要

Git インストール

git for windows からインストール

git-for-windows.github.io

LIS の取得

$ git clone https://github.com/wbap/lis.git

必要な Python ライブラリを入れる

$ pip install -r python-agent
equirements.txt

Chainer のバージョンを合わせる?

どうやら、下記で使用されている Chainer では、FunctionSet を使用しているので、どうやら、1系列っぽい。

github.com

インストールが通らなかったので、

???.h と x???.h をネットで拾ってきて入れた上で、

chainer の version を 1.5 で試したら、通ったので、それでやった。

しばらく学習させた結果

f:id:pongsuke:20170919182426p:plain